jDiction Forum

Please login or register.

Login with username, password and session length
Advanced search  

News:

jDiction 2.2.0 released. http://jdiction.org/downloads

Author Topic: JCK and jDiction compatiblility: solved  (Read 4569 times)

nkt

  • Newbie
  • *
  • Posts: 24
    • View Profile
    • Flantic
JCK and jDiction compatiblility: solved
« on: April 24, 2014, 04:07:00 pm »

Hi all,

I rewrote the template file form_25.php, so jDiction also works with the editor JoomlaCK.
For people who don't know, how to use template overrides:
1) create folders such that his path exists: "joomla_root\administrator\templates\bluestork\html\com_jdiction\translation"
2) copy the files from the folder "joomla_root\administrator\components\com_jdiction\views\translation\tmpl" to the path in step 1
3) replace the file form_25.php with the file in this attachment

That's it!

Greetings Nick
Logged

nkt

  • Newbie
  • *
  • Posts: 24
    • View Profile
    • Flantic
Re: JCK and jDiction compatiblility: solved
« Reply #1 on: April 24, 2014, 06:33:01 pm »

Ok, it is not perfect yet. I need to add the onchange event for the CKeditor, so the hidden input is changed to id_status is set to changed.

I'll update the file soon.
Logged

nkt

  • Newbie
  • *
  • Posts: 24
    • View Profile
    • Flantic
Re: JCK and jDiction compatiblility: solved
« Reply #2 on: April 27, 2014, 05:14:09 pm »

Hereby a fully working version.

Enjoy it!
« Last Edit: April 29, 2014, 03:49:05 pm by nkt »
Logged

zitrox

  • Newbie
  • *
  • Posts: 1
    • View Profile
Re: JCK and jDiction compatiblility: solved
« Reply #3 on: May 21, 2014, 11:05:15 am »

this is great, hope this will be in the next jdiction update.
i'm not a great fan of overrides on business clients ;)

oooh.. what version of jdiction did you use? mine looks completly different. 1.2.0
« Last Edit: May 21, 2014, 11:25:00 am by zitrox »
Logged

Harald Leithner

  • Administrator
  • Hero Member
  • *****
  • Posts: 1661
    • View Profile
Re: JCK and jDiction compatiblility: solved
« Reply #4 on: May 22, 2014, 05:53:53 pm »

his version is for joomla 2.5
Logged
Joomla 3.9.x Release Lead
Vote at JED